#
# spec file for package kdeadmin4 (Version 4.3.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kdeadmin4
BuildRequires:  libkdepimlibs4-devel oxygen-icon-theme rpm-devel
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        kdeadmin base package
%define with_kpackage 0%{opensuse_bs}
Url:            http://www.kde.org
Version:        4.3.5
Release:        0.1.1
Source0:        kdeadmin-%version.tar.bz2
Patch:          4_3_BRANCH.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires
Suggests:       kcron
%if %with_kpackage
Suggests:       kpackage
%endif
Suggests:       kuser
Suggests:       knetworkconf
Suggests:       ksystemlog

%description
This package suggests the packages which are built from the kdeadmin
module.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n kdeadmin-%version
%patch

%build
%if !%with_kpackage
  rm -rf kpackage doc/kpackage
  sed -ir -e "s,add_subdirectory.*kpackage.*,," doc/CMakeLists.txt
%endif
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %create_subdir_filelist -d kcron
%if %with_kpackage
  %create_subdir_filelist -d kpackage
%endif
  %create_subdir_filelist -d kuser
  %create_subdir_filelist -d knetworkconf
  %create_subdir_filelist -d ksystemlog
  %makeinstall
  cd ..
  %create_exclude_filelist
%if %with_kpackage
  %suse_update_desktop_file kpackage System PackageManager
%endif
  %suse_update_desktop_file kuser    System SystemSetup
  %suse_update_desktop_file ksystemlog System Monitor
  %kde_post_install
  for i in {16,22,32,48,64,128}; do
     mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/"$i"x"$i"/apps
     cp /usr/share/icons/oxygen/"$i"x"$i"/apps/utilities-log-viewer.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/"$i"x"$i"/apps/;
  done

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf $RPM_BUILD_ROOT
  rm -rf filelists

%package -n kcron
License:        GPLv2+
Group:          System/Management
Summary:        Cron job configuration tool
Provides:       kde4-kcron = 4.3.0
Obsoletes:      kde4-kcron < 4.3.0
%kde4_runtime_requires

%description -n kcron
KCron allows you to change your cron jobs setup.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kcron -p /sbin/ldconfig

%postun -n kcron -p /sbin/ldconfig

%files -n kcron -f filelists/kcron
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%if %with_kpackage

%package -n kpackage
License:        GPLv2+
Group:          System/Packages
Summary:        RPM Handling Tool
Requires:       smart
Provides:       kde4-kpackage = 4.3.0
Obsoletes:      kde4-kpackage < 4.3.0
%kde4_runtime_requires

%description -n kpackage
KPackage is a package installation tool for KDE.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kpackage -p /sbin/ldconfig

%postun -n kpackage -p /sbin/ldconfig

%files -n kpackage -f filelists/kpackage
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%endif

%package -n kuser
License:        GPLv2+
Group:          System/Management
Summary:        User Account Manager
Conflicts:      yast2-theme-NLD
Provides:       kde4-kuser = 4.3.0
Obsoletes:      kde4-kuser < 4.3.0
%kde4_runtime_requires
%kde4_pimlibs_requires

%description -n kuser
KUser is a user account editor for KDE.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kuser -p /sbin/ldconfig

%postun -n kuser -p /sbin/ldconfig

%files -n kuser -f filelists/kuser
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n ksystemlog
License:        GPLv2+
Group:          System/Monitoring
Summary:        System Log Viewer Tool
%kde4_runtime_requires

%description -n ksystemlog
This program is developed for use by beginner users, who do not know
how to find information about their Linux system and how the log files
are in their computer. But it is also designed for advanced users, who
want to quickly see problems occurring on their server.



Authors:
--------
    Nicolas Ternisien <nicolas.ternisien@gmail.com>

%post -n ksystemlog -p /sbin/ldconfig

%postun -n ksystemlog -p /sbin/ldconfig

%files -n ksystemlog -f filelists/ksystemlog
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%_kde4_iconsdir/hicolor/*/apps/utilities-log-viewer.*

%package -n knetworkconf
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        KDE Network Configuration Module
Provides:       kde4-knetworkconf = 4.3.0
Obsoletes:      kde4-knetworkconf < 4.3.0
%kde4_runtime_requires

%description -n knetworkconf
KNetworkConfg is a network configration module for the KDE control
center.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n knetworkconf -p /sbin/ldconfig

%postun -n knetworkconf -p /sbin/ldconfig

%files -n knetworkconf -f filelists/knetworkconf
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%doc %lang(en) %_kde4_htmldir/en/kcontrol

%files -f filelists/exclude
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%changelog
* Thu Jan 21 2010 dmueller@suse.de
- update to 4.3.5
  * see http://kde.org/announcements/changelogs/changelog4_3_4to4_3_5.php for details
* Thu Dec  3 2009 dmueller@suse.de
- update to 4.3.4
  * see http://kde.org/announcements/changelogs/changelog4_3_3to4_3_4.php for details
* Thu Nov 19 2009 llunak@novell.com
- sync 11.2 KDE packages with SLE (fate#305847)
* Thu Sep 24 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff: translation updates
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Tue Aug 18 2009 beineri@opensuse.org
- fix ksystemlog menu entry icon
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Thu Jul  9 2009 dmueller@suse.de
- update to 4.2.96
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Sat Jun 20 2009 beineri@opensuse.org
- drop kde4- package prefixes
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.90
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Tue May 19 2009 dmueller@suse.de
- update to 4.2.87svn969966
* Mon May 18 2009 dmueller@suse.de
- update to 4.2.86svn967995
* Thu May 14 2009 dmueller@suse.de
- update to 4.2.85 (KDE 4.3 Beta1)
* Thu Apr 30 2009 dmueller@suse.de
- update to 4.2.3
  * see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
* Fri Mar 27 2009 dmueller@suse.de
- update to 4.2.2
  * see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php
* Fri Feb 27 2009 dmueller@suse.de
- update to 4.2.1
  * see http://kde.org/announcements/changelogs/changelog4_2_0to4_2_1.php
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.2.0
* Tue Jan 13 2009 dmueller@suse.de
- update to 4.1.96
* Fri Jan  9 2009 dmueller@suse.de
- update to 4.1.87 (KDE 4.2 Januar snapshot)
* Fri Oct 31 2008 dmueller@suse.de
- update to 4.1.3
  * see http://kde.org/announcements/changelogs/changelog4_1_2to4_1_3.php
* Thu Sep 25 2008 dmueller@suse.de
- update to 4.1.2
  * see http://kde.org/announcements/changelogs/changelog4_1_1to4_1_2.php
* Thu Aug 28 2008 dmueller@suse.de
- update to 4.1.1
  * see http://kde.org/announcements/changelogs/changelog4_1to4_1_1.php
* Wed Jul 23 2008 dmueller@suse.de
- update to 4.1.0
* Fri Jul 18 2008 dmueller@suse.de
- update to 4.0.99
* Fri Jul 11 2008 dmueller@suse.de
- update to 4.0.98
* Thu Jul  3 2008 dmueller@suse.de
- update to 4.0.85
* Thu Jun 26 2008 dmueller@suse.de
- update to 4.0.84
* Mon Jun 23 2008 dmueller@suse.de
- update to 4.0.83
* Tue Jun 10 2008 dmueller@suse.de
- update to 4.0.82
* Mon Jun  9 2008 dmueller@suse.de
- update to 4.0.81
* Mon May 19 2008 dmueller@suse.de
- add requires smart to kde4-kpackage (bnc#391779)
* Thu May  1 2008 dmueller@suse.de
- update to 4.0.4
  * http://kde.org/announcements/changelog_4_0_3to4_0_4.php
* Mon Apr 14 2008 dmueller@suse.de
- apply the branch diff
* Thu Mar 27 2008 dmueller@suse.de
- update to 4.0.3
* Wed Feb 27 2008 dmueller@suse.de
- update to 4.0.2
* Thu Jan 31 2008 dmueller@suse.de
- update to 4.0.1
* Sun Jan 20 2008 stbinner@suse.de
- add 4_0_BRANCH.diff
* Sat Jan  5 2008 dmueller@suse.de
- update to 4.0
* Wed Jan  2 2008 stbinner@suse.de
- update to 3.97.2
* Sun Dec 16 2007 dmueller@suse.de
- update to 3.97.1
* Wed Dec  5 2007 dmueller@suse.de
- update to 3.97.0
* Tue Dec  4 2007 dmueller@suse.de
- update to 3.96.3
* Wed Nov 28 2007 dmueller@suse.de
- update to 3.96.2
* Wed Nov 21 2007 dmueller@suse.de
- update to 3.96.1
* Wed Nov 14 2007 dmueller@suse.de
- update to 3.96.0
* Tue Nov  6 2007 dmueller@suse.de
- update to 3.95.2
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.1
* Fri Oct 26 2007 dmueller@suse.de
- update to 3.95.0
* Sat Oct 20 2007 dmueller@suse.de
- update to 3.94.1
* Tue Oct  9 2007 dmueller@suse.de
- update to KDE 4.0 Beta3
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720128
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720128
* Wed Sep 26 2007 stbinner@suse.de
- update to 3.93.0.svn717248
* Thu Sep 13 2007 stbinner@suse.de
- update to 3.93.0.svn712059
* Sat Sep  1 2007 stbinner@suse.de
- update to KDE 4.0 Beta 2
* Thu Aug 23 2007 stbinner@suse.de
- update to 3.92.0.svn703903
* Sat Aug 18 2007 stbinner@suse.de
- move yast2-theme-NLD conflict tag to right sub-package
* Thu Aug 16 2007 stbinner@suse.de
- update to 3.92.0.svn700754
* Thu Aug  9 2007 stbinner@suse.de
- update 3.92.0.svn697375
* Sun Jul 29 2007 stbinner@suse.de
- update to KDE 4.0 Beta 1
* Thu Jul 12 2007 stbinner@suse.de
- update to 3.91.0.svn685972
* Sat Jun 23 2007 stbinner@suse.de
- update to 3.90.1.svn678430
* Fri Jun  8 2007 stbinner@suse.de
- update to 3.90.1.svn670093
* Fri Jun  1 2007 coolo@suse.de
- simplify spec file by using macros from kde4-filesystem
* Mon May 28 2007 dmueller@suse.de
- update to 3.90.1.svn668119
* Fri May 18 2007 stbinner@suse.de
- initial package in abuild
